package cn.common.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author create by HDECoder
 * @packageName cn.common.common.enums
 * @Description: 是和否枚举 1:正常 2:禁用
 * @date 2021-05-08
 */
@Getter
@AllArgsConstructor
public enum YesOrNoStatusEnum {

    /**
     * 是
     */
    YES (1,"正常"),

    /**
     * 否
     */
    NO(2,"禁用");


    /**
     * 状态码
     */
    private Integer code;

    /**
     * 描述
     */
    private String description;

    public Integer getCode() {
        return code;
    }

    public String getDescription() {
        return description;
    }
}
